import java.util.Scanner;
/*
Старый телефон Андрея сломался, поэтому он решил приобрести
новый. Продавец телефонов предлагает разные варианты, но Андрея
интересуют только модели серии samsung или iphone. Также Андрей решил
рассматривать телефоны только от 50000 до 120000 рублей. Чтобы не тратить
время на разговоры, Андрей хочет написать программу, которая поможет ему
сделать выбор.
На вход подается строка – модель телефона и число – стоимость телефона.
Нужно вывести "Можно купить", если модель содержит слово samsung или
iphone и стоимость от 50000 до 120000 рублей включительно. Иначе вывести
"Не подходит".
Гарантируется, что в модели телефона не указано одновременно несколько
серий.
-------------------------------------------------
      Входные данные      |    Выходные данные
-------------------------------------------------
iphone XL                 |     Можно купить
58000                     |
-------------------------------------------------
nokia 10                  |     Не подходит
100000                    |
-------------------------------------------------
samsung Galaxy (GT-I7500) |     Не подходит
40000                     |
-------------------------------------------------
samsung S 21              |     Можно купить
120000                    |
-------------------------------------------------
 */

public class HomeWorkAdd3 {
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        String modelOfPhone;
        String s1 = "samsung";
        String s2 = "iphone";
        int price;
        boolean index1 = false;
        boolean index2 = false;

        modelOfPhone = input.nextLine();
        price = input.nextInt();

        if (price >= 50000 && price <= 120000)
            index1 = true;

        if (modelOfPhone.indexOf(s1) >= 0 || modelOfPhone.indexOf(s2) >= 0)
            index2 = true;

        if (index1 == true && index2 == true)
            System.out.println("Можно купить");
        else {
            System.out.println("Не подходит");
        }
    }
}
